GNU bug report logs - #45811
28.0.50; [PATCH] Respect remember-save-after-remembering on remember-diary-extract-entries

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Gabriel do Nascimento Ribeiro <gabriel376@HIDDEN>; Keywords: patch fixed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 45811 <at> debbugs.gnu.org and Gabriel do Nascimento Ribeiro <gabriel376@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 45811 <at> debbugs.gnu.org:


Received: (at 45811) by debbugs.gnu.org; 20 Jan 2021 16:55:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 20 11:55:06 2021
Received: from localhost ([127.0.0.1]:56078 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l2Gl8-00088S-Im
	for submit <at> debbugs.gnu.org; Wed, 20 Jan 2021 11:55:06 -0500
Received: from quimby.gnus.org ([95.216.78.240]:46696)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l2Gl6-00087j-Dj
 for 45811 <at> debbugs.gnu.org; Wed, 20 Jan 2021 11:55:05 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=rbx/tBTpsh/QxzdSZcoPUpqJIaofe09hlx750Nkn82c=; b=AAbFBrWH8/dmZssyGUCmY2NYst
 cLDezl/giBindjKynfaIB7hw4znJ9P33yr7GqQtvnxn+knUTRMXYnkAzww4VF30jpCkwwhUT+9zmF
 zjpsKb8L+/gTbe+mthuZF6ZGXXbxUbueEJZaRdROkBst+Y1PWSZk8BgjaCU+bN7k6tDQ=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l2Gky-0001ZC-Dr; Wed, 20 Jan 2021 17:54:58 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Gabriel do Nascimento Ribeiro <gabriel376@HIDDEN>
Subject: Re: bug#45811: 28.0.50; [PATCH] Respect
 remember-save-after-remembering on remember-diary-extract-entries
References: <CH2PR01MB5879940A5C828AD61D4AA65A8BAA0@HIDDEN>
X-Now-Playing: Joe Jackson's _Live 1980-86 (2)_: "Memphis"
Date: Wed, 20 Jan 2021 17:54:55 +0100
In-Reply-To: <CH2PR01MB5879940A5C828AD61D4AA65A8BAA0@HIDDEN>
 (Gabriel do Nascimento Ribeiro's message of "Tue, 12 Jan 2021 01:21:50
 -0300")
Message-ID: <87im7rpmzk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Gabriel do Nascimento Ribeiro <gabriel376@HIDDEN>
 writes:
 > On remember.el, when option 'remember-handler-functions' contains > handler
 'remember-diary-extract-entries', entries will be appended to > Diary file.
 However, the Diary file will not be saved auto [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45811
Cc: 45811 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Gabriel do Nascimento Ribeiro <gabriel376@HIDDEN> writes:

> On remember.el, when option 'remember-handler-functions' contains
> handler 'remember-diary-extract-entries', entries will be appended to
> Diary file. However, the Diary file will not be saved automatically. I
> could not find any documentation describing if this behavior is
> expected, and the docstring for 'remember-save-after-remembering' does
> not mention how the Diary file should be handled in this case. Given
> that, there is a patch attached to automatically save the Diary file
> when option 'remember-save-after-remembering' is 't'. If this is the
> wrong behavior, we could improve the improve the docstring or show the
> Diary buffer to user after data is appended.

Thanks; applied to Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45811; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Jan 2021 00:28:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 19 19:28:05 2021
Received: from localhost ([127.0.0.1]:52154 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l21Lx-00068T-5x
	for submit <at> debbugs.gnu.org; Tue, 19 Jan 2021 19:28:05 -0500
Received: from lists.gnu.org ([209.51.188.17]:37808)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gabriel376@HIDDEN>) id 1l21Lw-00068M-5o
 for submit <at> debbugs.gnu.org; Tue, 19 Jan 2021 19:28:04 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:48518)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <gabriel376@HIDDEN>)
 id 1l21Lv-00057e-Me
 for bug-gnu-emacs@HIDDEN; Tue, 19 Jan 2021 19:28:04 -0500
Received: from mail-dm6nam12olkn2041.outbound.protection.outlook.com
 ([40.92.22.41]:36193 helo=NAM12-DM6-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <gabriel376@HIDDEN>)
 id 1l21Lu-00044o-0n
 for bug-gnu-emacs@HIDDEN; Tue, 19 Jan 2021 19:28:03 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=e527ZwH5Q1uS7EgxNXo7oufbLemNUExPtztD0cf1MQ8GvKlqQtxsOEo+qqQKXtTK/9u9l35k+5jt9rXHFR/eOPyuxOQpQ6wQ+Rpt7unVXvKVPydc94idTcc/aljAFp/1ByL2cA1jd8ZD+JIGGpfl/tRy0WQSVVkhAJGddoKHm4Z2SFalgCYjhClgRAR+EuUQzrjoZH5zwu7b3H3Q2J/W0dOGoOnjf64qP/An86RjZX+h2B4k1p4uPHaxmIsyZmjsLzpbXRilt4A/THOLuoTyyonbQ7hox2rnzugzFAzEbg4g719ekq1I/szSigM47qG+aMHmhuZP3L2FIsziVkKFHQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=eEEsY49TXNDV7cVRrhjLtr/O3udv0t5acfMRzPp4QTQ=;
 b=PYjeem2Q55JfVNn+4F0cDbWL39ftfHore795sUC7xSoLwndZuxoBrifYdCzCoDEkXVdwFdbH36vCtIcj+Uu5zH+Q4JfDoIAbF+9doxFJmMI/nKOV60hS1tORA3/4N5j+VFIyP+fvX2ZerNHX6Iuj6cmBlxlTHkGQM/u8EdkZWRE2oOPLJwtPVyvAFZtU8h3s1tIVk82x61v7sFWuZh2i3ya1yJE14duUwal8CBa5FaGklUIKjteUpw/4tXWd1037snAynq9Cw5MixTxJscpIoSitjh0l0hu12EsorhNzrbTqpSQb3/3Eq6ONHCMvVeKn/nT4M/E+XbMvryYwJ+6WTg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hotmail.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=eEEsY49TXNDV7cVRrhjLtr/O3udv0t5acfMRzPp4QTQ=;
 b=uxuek3OZXeSSE1XarK+GkdXvnCGb71Ow/EXvurrDlaMY9SiHSbhKoEhJ8nVaLZcNKSFq6bnFeDP0g5+gyU4AUp0jMF5rHyP3JKNeO55bLJwN6KYzpM7M9K3C7pYKdE3G2MQKfQnAj2bEUb1veEi+LovAywbPChwrUD7yEGBq+L41DE1mSJ2oyVPa7S7qZW8lX9XpfoD/EYs+HKwtKzYDrc58wL/K9EKPOJDQMzV+Q/4GIyftpnvaFmzeCWLEbyW6xPf088pkwOwP++9bAP4yQREgGl1raNEVEAvudkrmladhtMI1P9KvLJ2Scr6ppvTfLqMKVcGkF3i8duTwlomz8w==
Received: from DM6NAM12FT057.eop-nam12.prod.protection.outlook.com
 (2a01:111:e400:fc64::51) by
 DM6NAM12HT222.eop-nam12.prod.protection.outlook.com (2a01:111:e400:fc64::140)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3784.7; Wed, 20 Jan
 2021 00:12:57 +0000
Received: from CH2PR01MB5879.prod.exchangelabs.com (2a01:111:e400:fc64::46) by
 DM6NAM12FT057.mail.protection.outlook.com (2a01:111:e400:fc64::73)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3784.7 via Frontend
 Transport; Wed, 20 Jan 2021 00:12:57 +0000
X-IncomingTopHeaderMarker: OriginalChecksum:2EDED04EEF701818EB0E35554C71E1D0D2C11C18246571DC5CDF71C00DF15ABA;
 UpperCasedChecksum:7A93914CD890783263249257F604A47C3595A2630F138C13983BA8470A7AE2AD;
 SizeAsReceived:7695; Count:45
Received: from CH2PR01MB5879.prod.exchangelabs.com
 ([fe80::d51d:8cbe:370a:39ac]) by CH2PR01MB5879.prod.exchangelabs.com
 ([fe80::d51d:8cbe:370a:39ac%7]) with mapi id 15.20.3763.014; Wed, 20 Jan 2021
 00:12:57 +0000
From: Gabriel do Nascimento Ribeiro <gabriel376@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#45811: 28.0.50; [PATCH] Respect
 remember-save-after-remembering on remember-diary-extract-entries
References: <CH2PR01MB5879940A5C828AD61D4AA65A8BAA0@HIDDEN>
 <87k0sijko5.fsf@HIDDEN>
 <CH2PR01MB5879E26C4162B5A4F12C9F1A8BAA0@HIDDEN>
 <87h7nmhs89.fsf@HIDDEN>
Date: Tue, 19 Jan 2021 21:12:52 -0300
In-Reply-To: <87h7nmhs89.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 12 Jan 2021 20:26:14 +0100")
Message-ID: <CH2PR01MB5879501BD8BEA1DD92ACE8ED8BA20@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Content-Type: text/plain
X-TMN: [Joa9+THWGp5gXfPz/F6KpI5OBTKVc1BwD43ciFXqItCeuxgtWaG4qALAwpu/o8nZ]
X-ClientProxiedBy: CP2PR80CA0113.lamprd80.prod.outlook.com
 (2603:10d6:102:18::27) To CH2PR01MB5879.prod.exchangelabs.com
 (2603:10b6:610:3c::12)
X-Microsoft-Original-Message-ID: <87zh14cvp7.fsf@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from precision5540 (2804:431:c7f3:76d5:3e02:7d4f:13b6:140c) by
 CP2PR80CA0113.lamprd80.prod.outlook.com (2603:10d6:102:18::27) with Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.3784.11 via Frontend Transport; Wed, 20 Jan 2021 00:12:56 +0000
X-MS-PublicTrafficType: Email
X-IncomingHeaderCount: 45
X-EOPAttributedMessage: 0
X-MS-Office365-Filtering-Correlation-Id: 4e45f529-a5ba-4a5e-4e82-08d8bcd82372
X-MS-TrafficTypeDiagnostic: DM6NAM12HT222:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: iKzzC5vb7/ZL5bOZc0g484dXcHS7YU0wzz/2knrKrbJ11rybirqvXMUqXkn+/A04xTy+TwgvQwzoPPaMENIsIrfM6CKQWwLwGvtwaLNBoFfmgPc0jF3AEOii6J5tjD6L9oZqc6/cODRE2Xot+gjtrj/quzkpXEYf3FuwDPsG9Sbtpr5g9XjLDRcIBk8nnNX+3GB1Yzq8BLWWWJNSNPa8gtM5QmVfkYk9sMpTrRiQB+RJAm8KNkuKTn/O9oilnLdV
X-MS-Exchange-AntiSpam-MessageData: 1JxIKvss33UTm6T0fGRz/LqqLSs+8QWIMlYlQGxNTsNsPFkx2ZRDZWYGavdAjw38iIkJj78e8CCAQFk+GF+XWrDbLGsgLyLy6kP6uyyioXQWdyd+pUifAS25NoY3mbBxdld+kxSwGidyCoCcOa8xDBTl40mZ2y+nvECX49VxSDhE/DLpnnz9uWw2Q8w5+w123vVHn7AuJlMbcr2psM/qWw==
X-OriginatorOrg: hotmail.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 4e45f529-a5ba-4a5e-4e82-08d8bcd82372
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 20 Jan 2021 00:12:57.0844 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-AuthSource: DM6NAM12FT057.eop-nam12.prod.protection.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Anonymous
X-MS-Exchange-CrossTenant-FromEntityHeader: Internet
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DM6NAM12HT222
Received-SPF: pass client-ip=40.92.22.41; envelope-from=gabriel376@HIDDEN;
 helo=NAM12-DM6-obe.outbound.protection.outlook.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Hi Lars,

My assignment/disclaimer process with the FSF is concluded.

Regards,
Gabriel




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45811; Package emacs. Full text available.

Message received at 45811 <at> debbugs.gnu.org:


Received: (at 45811) by debbugs.gnu.org; 12 Jan 2021 19:26:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 14:26:26 2021
Received: from localhost ([127.0.0.1]:33178 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzPJC-0004jw-Kt
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 14:26:26 -0500
Received: from quimby.gnus.org ([95.216.78.240]:39068)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kzPJA-0004jh-CB
 for 45811 <at> debbugs.gnu.org; Tue, 12 Jan 2021 14:26:24 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=V+cHW4PGqFSELRZ89UIVykeg0khJihtDVhLobeCVw1I=; b=UKdL8eoGh7ptWfUboUmR3JjaKg
 U5pMem0kcicffau7zOpWcaB3QKnMN16v7BKxZG1wDxyxHEalrvOSfb2hiG0VIv2eybA6Z37EQYCy3
 i6FoUsd+nuej8Dswaqx+PNy77/FCQQG8YIPkecQikrw/0Md6u/wH8HHu4OQUOcEyAk+0=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kzPJ2-0001F6-BD; Tue, 12 Jan 2021 20:26:18 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Gabriel do Nascimento Ribeiro <gabriel376@HIDDEN>
Subject: Re: bug#45811: 28.0.50; [PATCH] Respect
 remember-save-after-remembering on remember-diary-extract-entries
References: <CH2PR01MB5879940A5C828AD61D4AA65A8BAA0@HIDDEN>
 <87k0sijko5.fsf@HIDDEN>
 <CH2PR01MB5879E26C4162B5A4F12C9F1A8BAA0@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEX8+/uuqKFfWlKN
 hXPY0tAcFxb///+s7z54AAAAAWJLR0QGYWa4fQAAAAd0SU1FB+UBDBIlEBcNAQQAAAGhSURBVDjL
 zdO9lqsgEABgiNzeWU0fB+gTxV4i9nfRef9X2QFjTNzd4nZ3Cp3DJzP8HIX455DIoYPSXSm7lnOL
 XVcyFMQBoUZ9LRCJ0FJsrw+IEsoNdIUtbkAdDhYZONVejztEJxAvGRrfNnspJ0T7AO1G3EFkOGlu
 rBvon6Xi8ARdNZ19BZWhpzk42IGcGHrLgLwHE3AHvIjWmpPl1M4Qd4BFWIb0SeRdxsvW4z4roiWB
 1p3dgSzJB8RQ8fMJNJ8SxLTz/g2WKUE+EvsG5pzgg7P6DXDIM7yNGBL83VZlywRFDZXjI9D7IVKZ
 Sr3f+dpj6H+BZQUYjjBnkNYdgWLP8Mep7zClGdfvYFS/SKEChxDhdQaopRjrsMYLUAhGnvEHKGEp
 CINL43nRCgDq/NFwokakcb/uhjPuyS+Gz9I/Z8g5LZUg3+BsPNeo1+Ve+nkie5stQ0Qeb02V/w/j
 28ncHXxkGMSdYkzHLpfg7zA6AKfqtAa19fgMQ+W903V9+AejD+dQXdtgDkA3mDpQFpcjzLexaPjl
 jqXwxlcnsTnAfxlfdeid5hiGxPwAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMDEtMTJUMTg6Mzc6
 MTYrMDA6MDDfGBaNAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTAxLTEyVDE4OjM3OjE2KzAwOjAw
 rkWuMQAAAABJRU5ErkJggg==
X-Now-Playing: Repetition's _From Brussels With Love (2)_: "A Still Reflex"
Date: Tue, 12 Jan 2021 20:26:14 +0100
In-Reply-To: <CH2PR01MB5879E26C4162B5A4F12C9F1A8BAA0@HIDDEN>
 (Gabriel do Nascimento Ribeiro's message of "Tue, 12 Jan 2021 16:05:38
 -0300")
Message-ID: <87h7nmhs89.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Gabriel do Nascimento Ribeiro <gabriel376@HIDDEN>
 writes:
 > Lars Ingebrigtsen <larsi@HIDDEN> writes: > >> This (and the other two
 patches) to remember.el look good to me, but are >> too large (in total)
 to be applied without assigning the copyright for >> [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45811
Cc: 45811 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Gabriel do Nascimento Ribeiro <gabriel376@HIDDEN> writes:

> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>
>> This (and the other two patches) to remember.el look good to me, but are
>> too large (in total) to be applied without assigning the copyright for
>> the changes to the FSF.  Would you be willing to sign such paperwork?
>
> Yes, sure! Just send me the paperwork and the instructions on how to
> sign it.

Great!

Here's how to get started:

Please email the following information to assign@HIDDEN, and we
will send you the assignment form for your past and future changes.

Please use your full legal name (in ASCII characters) as the subject
line of the message.
----------------------------------------------------------------------
REQUEST: SEND FORM FOR PAST AND FUTURE CHANGES

[What is the name of the program or package you're contributing to?]
Emacs

[Did you copy any files or text written by someone else in these changes?
Even if that material is free software, we need to know about it.]

[Do you have an employer who might have a basis to claim to own
your changes?  Do you attend a school which might make such a claim?]

[For the copyright registration, what country are you a citizen of?]

[What year were you born?]

[Please write your email address here.]

[Please write your postal address here.]

[Which files have you changed so far, and which new files have you written
so far?]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45811; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jan 2021 19:06:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 14:06:05 2021
Received: from localhost ([127.0.0.1]:33152 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzOzV-0004CW-Il
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 14:06:05 -0500
Received: from lists.gnu.org ([209.51.188.17]:55196)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gabriel376@HIDDEN>) id 1kzOzR-0004Bv-Nx
 for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 14:06:04 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:34168)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <gabriel376@HIDDEN>)
 id 1kzOzQ-00051V-HP
 for bug-gnu-emacs@HIDDEN; Tue, 12 Jan 2021 14:06:01 -0500
Received: from mail-oln040092010043.outbound.protection.outlook.com
 ([40.92.10.43]:27141 helo=NAM04-CO1-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <gabriel376@HIDDEN>)
 id 1kzOzI-0000Os-3U
 for bug-gnu-emacs@HIDDEN; Tue, 12 Jan 2021 14:05:59 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=FTEDcO2akNsxoMBGZIjwFF1Lq/ozmEkvG4jYd0W49dp2qonnz0xnHKHlrkugkWhSJGFNhjMpjEh7IXQzezA7YzcGhviNvnL0PUGLaE9dq/EhVf7o3u7Fqlr5fXpjKsD7LSwhmNMAr3y89laD2FEq/c7q95Y9hlprkcEhLKuNWqtm4koQy4iifKSpE0Dcm23Pf1YHhodo6/DNUK2Mz2e7Fcl9dAutf1No9H++6nxnxNMmDPyKF7mcZYh7kxAFEhgZfkbBrSIng0EuhCwr6vOglbFmYCqZovO+4kkdhzuZq1kP3dvj6u/IvRmr/FyOtOz+cFtMDo5zV7964adImvamGQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=b8YbTh5E6Xqgfs1qAautNS0DDdg2+0LT8dTPCJxOUQE=;
 b=fTVX0BXC7DRimNmg0WwQR7Oi4cEdoMRI94OJ7DudNNaZMoBt6d9L+7B6Hd1Fsaf4E9CrQElijYo1Z4o2pDoZn7B4GeQycqZXoesWZHkmxDVUtHCrRdFFpVWmsVTeO0LCBg1Z5aMP8iS6O8QOY4Ke7xC8nLpWBv+LPVpGiVtA2+x5MYpHrX373MVaBe2pU1eQzdSX2xiyNaeGxkx5dNq0z3FRVF6OXH07o8vez2OUS0em42yGMz5U6zJYfvvdPS/bP89IwgnVyZstYsaF6ibMVS/GXrZvxcZSCdFD47naKbjfmKaKMqbxmQXZ0lsOd/U/T0HDDlI3agpOTZJQ/RTyrQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hotmail.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=b8YbTh5E6Xqgfs1qAautNS0DDdg2+0LT8dTPCJxOUQE=;
 b=TZwdzZvg4X8NYgyKJ3R7BwC5lEsB5YUhfIdedE6ugxhc01Ot800cCh0VTj/nNF8gFVe5JI0c4onpkoYMWKbk35ipRKNqcQTGt5KKiLqWmWFFHkq1/sxybG8mRNtvgl2gFXG9aPusaHwq4LygMVRYw4Wbhj3k/Rw15AheZTalQyowuTya+GeSeARMERAeLUVZj51Gt2Xj8nULocDMziFsy78iPATeX+SCDOcmyxl1RQiQMwNZy1UV6e+X1J9fWbodZENpMuCw7GXXn5gUKD0thExjrvtGidecqlAhnL2dzWxHlKVZTgWp3QVz8+bdiFK28gQaSgj/aU3hyEXuB1Kgog==
Received: from SN1NAM04FT026.eop-NAM04.prod.protection.outlook.com
 (10.152.88.60) by SN1NAM04HT162.eop-NAM04.prod.protection.outlook.com
 (10.152.89.72) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3742.6; Tue, 12 Jan
 2021 19:05:43 +0000
Received: from CH2PR01MB5879.prod.exchangelabs.com (2a01:111:e400:7e4c::49) by
 SN1NAM04FT026.mail.protection.outlook.com (2a01:111:e400:7e4c::110)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3742.6 via Frontend
 Transport; Tue, 12 Jan 2021 19:05:43 +0000
X-IncomingTopHeaderMarker: OriginalChecksum:3AD09FDD1E35598EC65283EB4F0A9F017279764A2A76A5FB5195666E25AFF414;
 UpperCasedChecksum:6A52D1246CFD3559BA64423977D3782D92ED9BE8D80C31A47AEE40C82770395C;
 SizeAsReceived:7556; Count:45
Received: from CH2PR01MB5879.prod.exchangelabs.com
 ([fe80::d51d:8cbe:370a:39ac]) by CH2PR01MB5879.prod.exchangelabs.com
 ([fe80::d51d:8cbe:370a:39ac%7]) with mapi id 15.20.3742.012; Tue, 12 Jan 2021
 19:05:43 +0000
From: Gabriel do Nascimento Ribeiro <gabriel376@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#45811: 28.0.50; [PATCH] Respect
 remember-save-after-remembering on remember-diary-extract-entries
References: <CH2PR01MB5879940A5C828AD61D4AA65A8BAA0@HIDDEN>
 <87k0sijko5.fsf@HIDDEN>
Date: Tue, 12 Jan 2021 16:05:38 -0300
In-Reply-To: <87k0sijko5.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 12 Jan 2021 15:26:34 +0100")
Message-ID: <CH2PR01MB5879E26C4162B5A4F12C9F1A8BAA0@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Content-Type: text/plain
X-TMN: [5WRdndpdqE/4xqg48ULRDzXoMqXe5PbXpLs5JTllZz3/lEgwt6i9+9z6L2SDL4zY]
X-ClientProxiedBy: CPXP152CA0016.LAMP152.PROD.OUTLOOK.COM (2603:10d6:103::28)
 To CH2PR01MB5879.prod.exchangelabs.com
 (2603:10b6:610:3c::12)
X-Microsoft-Original-Message-ID: <8735z6rn5p.fsf@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from precision5540 (2804:431:c7f3:af8f:d72b:a010:a924:a70c) by
 CPXP152CA0016.LAMP152.PROD.OUTLOOK.COM (2603:10d6:103::28) with Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.3763.9 via Frontend Transport; Tue, 12 Jan 2021 19:05:42 +0000
X-MS-PublicTrafficType: Email
X-IncomingHeaderCount: 45
X-EOPAttributedMessage: 0
X-MS-Office365-Filtering-Correlation-Id: ab49ba4a-14cc-4f6b-e4f3-08d8b72d0fb0
X-MS-TrafficTypeDiagnostic: SN1NAM04HT162:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: GeqPHoq47qD2l+D/45kkllsn7KkWb8Ltz3OfV9uqMU2LTy8ekBst61yzdh7FoPN0HTDeE2bXE0z/iU+y+ZKqEGJ52ZXb/7HfNhPHfHzobZxdQ0MDDvdOy43h0piliEKK7eHNlZTOgzd0liSyr9tRNa0nzj59HTl+a8BmLGHEleqXpkJFvKrHnXjfwX7gRMK5yiM63/4GgwbWrSPZM0Tk5E44N7dPRBJ/xTrZO+hK7AQFkN0TZfXynYHUVf5dtNbB
X-MS-Exchange-AntiSpam-MessageData: m2l+7Gj1ObO4/51VBaPfy9cGRJ/jl+VcoF6hML2L5wYJwbcBXjsa82Nv/SRLpJZrafOyKOJtDJ6QDWbUq90lEomFYWz14orBrr/jgUa+Bp3wAhjAwfyWKQXd/2P0c3OBnvouzv8mXH9qpbZwWCF/kSv4Dae/XzZfuFSQCuxdxDStwUD1CWxg9v+HYHYsCHs+vonSTlTVdDFBJfDurtu+wQ==
X-OriginatorOrg: hotmail.com
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 12 Jan 2021 19:05:43.6628 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-Network-Message-Id: ab49ba4a-14cc-4f6b-e4f3-08d8b72d0fb0
X-MS-Exchange-CrossTenant-AuthSource: SN1NAM04FT026.eop-NAM04.prod.protection.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Anonymous
X-MS-Exchange-CrossTenant-FromEntityHeader: Internet
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SN1NAM04HT162
Received-SPF: pass client-ip=40.92.10.43; envelope-from=gabriel376@HIDDEN;
 helo=NAM04-CO1-obe.outbound.protection.outlook.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> This (and the other two patches) to remember.el look good to me, but are
> too large (in total) to be applied without assigning the copyright for
> the changes to the FSF.  Would you be willing to sign such paperwork?

Yes, sure! Just send me the paperwork and the instructions on how to
sign it.

Thank you.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45811; Package emacs. Full text available.

Message received at 45811 <at> debbugs.gnu.org:


Received: (at 45811) by debbugs.gnu.org; 12 Jan 2021 14:26:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 09:26:55 2021
Received: from localhost ([127.0.0.1]:59619 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzKdL-0002jT-7W
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 09:26:55 -0500
Received: from quimby.gnus.org ([95.216.78.240]:36652)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kzKdI-0002jD-Mw
 for 45811 <at> debbugs.gnu.org; Tue, 12 Jan 2021 09:26:54 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=8hKLC7KDyDgIQM3pn6EOzxgRGxhR2nhwL10bGWwqa4k=; b=RBNQL6+owODI6b0tL3zdOpTnJs
 5q0fOXcDP23QucmP2TdPE2OMo2pxpto00nI1lH1ddCtI9Y0FNzrj6Dwq1PWqUY7FCP5mu+Y+ufkO6
 p5tECkitog1OVcv9euwVzYadTVjoWLcJp7xR3UiTXCtsIO9kKK+A5mbh0D1XynO3efck=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kzKd1-0006UQ-LB; Tue, 12 Jan 2021 15:26:45 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Gabriel do Nascimento Ribeiro <gabriel376@HIDDEN>
Subject: Re: bug#45811: 28.0.50; [PATCH] Respect
 remember-save-after-remembering on remember-diary-extract-entries
References: <CH2PR01MB5879940A5C828AD61D4AA65A8BAA0@HIDDEN>
X-Now-Playing: Autechre's _Plus_: "TM1 open"
Date: Tue, 12 Jan 2021 15:26:34 +0100
In-Reply-To: <CH2PR01MB5879940A5C828AD61D4AA65A8BAA0@HIDDEN>
 (Gabriel do Nascimento Ribeiro's message of "Tue, 12 Jan 2021 01:21:50
 -0300")
Message-ID: <87k0sijko5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  This (and the other two patches) to remember.el look good
 to me,
 but are too large (in total) to be applied without assigning the copyright
 for the changes to the FSF. Would you be willing to sign suc [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45811
Cc: 45811 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This (and the other two patches) to remember.el look good to me, but are
too large (in total) to be applied without assigning the copyright for
the changes to the FSF.  Would you be willing to sign such paperwork?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45811; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jan 2021 04:22:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 11 23:22:04 2021
Received: from localhost ([127.0.0.1]:58909 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzBC0-0002Ix-4L
	for submit <at> debbugs.gnu.org; Mon, 11 Jan 2021 23:22:04 -0500
Received: from lists.gnu.org ([209.51.188.17]:41984)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gabriel376@HIDDEN>) id 1kzBBw-0002IX-Te
 for submit <at> debbugs.gnu.org; Mon, 11 Jan 2021 23:22:02 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:46408)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <gabriel376@HIDDEN>)
 id 1kzBBw-0006rB-He
 for bug-gnu-emacs@HIDDEN; Mon, 11 Jan 2021 23:22:00 -0500
Received: from mail-co1nam11olkn2103.outbound.protection.outlook.com
 ([40.92.18.103]:13536 helo=NAM11-CO1-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <gabriel376@HIDDEN>)
 id 1kzBBu-00085h-C3
 for bug-gnu-emacs@HIDDEN; Mon, 11 Jan 2021 23:21:59 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=EbsQNOMKg4RDDdy7zWWkOOVYKdcR0/YKtfpeclw+hciyjq6ntgzHy6NbscVB7Tk1nK9kTeXlT/4sYlzZg2YVYbu9YLpSVdNwkuPoV8Rnvdw4hJrrIyevFVSixyV/0a9LO3w8jMbRcdRZF76Hhr3oJEooeaa7JFCAr/4rZkQBuwJFbQ+nM4GBk3EAT9jOPyx5Z+5AoupGWT+zXc2CvWPgsqAdjd2RrbiDTbQzjrPdh0GRH43bd/0ro46gXRXpFDSVQm1GwuWYXBNGEIEK0FO/FdeaDzKbhUAr5Lm12t/xdUFrOPgUjH+cy/QtQkt8OTw/KNHu9GPcctLsg8aIlt730w==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=J6LyQYfdby9QYI7S2OmYDb9/JFnUychqiBJCs1qX24o=;
 b=GlRB6CNIeVrmsXTRYH3GVmM2f0gzpvMlZ1lxu6CJVXdD7VJetrW74Ph5e1bJfqCB/L2e81o7rtGH5athOHraKMJjVk+tb9UqGkwavn7oFEv9aig5vdfom0cOZU9CvSOA2Bl3g3Hkq+CEMyuKT+rBxLM4b1Q59JGlptqjYy1YefOS3z6B5V69dmIzQDUTfq/WIupr592S4PcA5bkTBzwjpHOr7/6V3YDxTy48xkVWb6PmaU3Xc89mZ1aE99TsJqC9pwmRMLCNf54jVYxb6cGDQ9M+aQclOGLe6KEm/NX9/3wxtrMfA8J9ma3N424hZOomHG3qz4oKVmVFRQXgPTcOsQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hotmail.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=J6LyQYfdby9QYI7S2OmYDb9/JFnUychqiBJCs1qX24o=;
 b=lnrKYxXlFf4BUmAmVnXdoHjnSJduJaBhAXdhlyygYzt0Qo0LS1DZwMvqLvikj8mtCqkSYC0/RFZKpaR8Dt1Mve2B0fg5JGOUSrFvAVFuzu494BMMR1S2rOzTU2/9DRy4vPLBiPHr1K8tFvud7QqnmNaj6culzihpoCDMk0ebTaF0GMzdF4+yd+b7m6ecS/NrfYr5ATamNWoM7TL3xzzSldGIoyOeXhpefocw+j83no/3Uj70ZLRf8bLhMy17Sh7YsgUdKjTB5g83XlmJoQ6T8M5DvL35qXZNEkQZ7gOHqg2GdPykJrrxgBSooLnl2TOXtNlFUM5yFgn1/0wu6BncHQ==
Received: from BN8NAM11FT009.eop-nam11.prod.protection.outlook.com
 (2a01:111:e400:fc4b::46) by
 BN8NAM11HT020.eop-nam11.prod.protection.outlook.com (2a01:111:e400:fc4b::414)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3742.6; Tue, 12 Jan
 2021 04:21:55 +0000
Received: from CH2PR01MB5879.prod.exchangelabs.com (2a01:111:e400:fc4b::53) by
 BN8NAM11FT009.mail.protection.outlook.com (2a01:111:e400:fc4b::65)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3742.6 via Frontend
 Transport; Tue, 12 Jan 2021 04:21:55 +0000
X-IncomingTopHeaderMarker: OriginalChecksum:F1E75CEE191B8C40B41D03F22929ECB8756BC4C7C6794CF39CAED93191C5087F;
 UpperCasedChecksum:98ACA96FD839CA55B1525F3674ABB7982B5C8C9048AF3AFCFD31C7A6F571ACA8;
 SizeAsReceived:7303; Count:42
Received: from CH2PR01MB5879.prod.exchangelabs.com
 ([fe80::d51d:8cbe:370a:39ac]) by CH2PR01MB5879.prod.exchangelabs.com
 ([fe80::d51d:8cbe:370a:39ac%7]) with mapi id 15.20.3742.012; Tue, 12 Jan 2021
 04:21:55 +0000
From: Gabriel do Nascimento Ribeiro <gabriel376@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; [PATCH] Respect remember-save-after-remembering on
 remember-diary-extract-entries
Date: Tue, 12 Jan 2021 01:21:50 -0300
Message-ID: <CH2PR01MB5879940A5C828AD61D4AA65A8BAA0@HIDDEN>
Content-Type: multipart/mixed; boundary="=-=-="
X-TMN: [KWUfVNTw68u4Zu6D3BD2zQCuUn06QRrMqNr27F29szvT1Tbsq5rKjk28CtJ++fB0]
X-ClientProxiedBy: CP5P284CA0002.BRAP284.PROD.OUTLOOK.COM
 (2603:10d6:103:95::7) To CH2PR01MB5879.prod.exchangelabs.com
 (2603:10b6:610:3c::12)
X-Microsoft-Original-Message-ID: <8735z6g4yp.fsf@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from precision5540 (2804:431:c7f3:af8f:58c4:f4c3:a2c3:b56e) by
 CP5P284CA0002.BRAP284.PROD.OUTLOOK.COM (2603:10d6:103:95::7) with Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.3742.6 via Frontend Transport; Tue, 12 Jan 2021 04:21:54 +0000
X-MS-PublicTrafficType: Email
X-IncomingHeaderCount: 42
X-EOPAttributedMessage: 0
X-MS-Office365-Filtering-Correlation-Id: a5352dbb-cfa7-439c-1d8b-08d8b6b1987e
X-MS-TrafficTypeDiagnostic: BN8NAM11HT020:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 28btarjp7NdWTDTFz0EZKMKfses27YO+xu56tClFRwXvqReegOKgkvZiDFDibfPwZvLf/WzKrocu1CTZB27F2HtpWoJC7z18sVD49bqDLHQGW52kauTXVu558tHUsqWuhJWc/c7GY9dtoYoRwyWyy8K7jyHtOl7uInpbWcOEdFF6QnITy+MfDQH8Jz2Y55/8ifKNPHONVpgos3dJODxkavqFp2Z260aphKScrKdP3G9EZc2l2eEYsNVuYTYPE3T2
X-MS-Exchange-AntiSpam-MessageData: dgmlFmEoYqRpM3iqfG7PxicJlLv7zEB0cEpHye9UNkO6oRUlyMVg6afgSxIA45LBketPEQBaBUOfld9KfU7a/fDa27An0pA4f+SEH2gghBodrVuNSgHiiU86oMAjbffEgZ1gto24gnTS07vXBJyXdo66g2mA/94R3vj1FLb0G3ztFNb2GKN2mXf9iaC7uQ1N2P7M/kgv9ZyVFb9drfVIiw==
X-OriginatorOrg: hotmail.com
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 12 Jan 2021 04:21:55.5834 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-Network-Message-Id: a5352dbb-cfa7-439c-1d8b-08d8b6b1987e
X-MS-Exchange-CrossTenant-AuthSource: BN8NAM11FT009.eop-nam11.prod.protection.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Anonymous
X-MS-Exchange-CrossTenant-FromEntityHeader: Internet
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BN8NAM11HT020
Received-SPF: pass client-ip=40.92.18.103; envelope-from=gabriel376@HIDDEN;
 helo=NAM11-CO1-obe.outbound.protection.outlook.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

--=-=-=
Content-Type: text/plain

On remember.el, when option 'remember-handler-functions' contains
handler 'remember-diary-extract-entries', entries will be appended to
Diary file. However, the Diary file will not be saved automatically. I
could not find any documentation describing if this behavior is
expected, and the docstring for 'remember-save-after-remembering' does
not mention how the Diary file should be handled in this case. Given
that, there is a patch attached to automatically save the Diary file
when option 'remember-save-after-remembering' is 't'. If this is the
wrong behavior, we could improve the improve the docstring or show the
Diary buffer to user after data is appended.


--=-=-=
Content-Type: text/x-diff
Content-Disposition: attachment;
 filename=0001-Respect-remember-save-after-remembering-on-remember-.patch

From aa305cc45029387cba0de9ee00a4b58e1b022104 Mon Sep 17 00:00:00 2001
From: Gabriel do Nascimento Ribeiro <gabriel.nascimento@HIDDEN>
Date: Tue, 12 Jan 2021 01:11:26 -0300
Subject: [PATCH] Respect remember-save-after-remembering on
 remember-diary-extract-entries

---
 lisp/textmodes/remember.el | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/lisp/textmodes/remember.el b/lisp/textmodes/remember.el
index 98d3a3856e..911523fb47 100644
--- a/lisp/textmodes/remember.el
+++ b/lisp/textmodes/remember.el
@@ -542,7 +542,10 @@ remember-diary-extract-entries
         (push (remember-diary-convert-entry (match-string 1)) list))
       (when list
         (diary-make-entry (mapconcat 'identity list "\n")
-                          nil remember-diary-file))
+                          nil remember-diary-file)
+        (when remember-save-after-remembering
+          (with-current-buffer (find-buffer-visiting diary-file)
+            (save-buffer))))
       nil))) ;; Continue processing
 
 ;;; Internal Functions:
-- 
2.27.0


--=-=-=--




Acknowledgement sent to Gabriel do Nascimento Ribeiro <gabriel376@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#45811; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 20 Jan 2021 17:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.